## org.apache.mahout.cf.taste.impl.similarity.precompute
Class FileSimilarItemsWriter

    java.lang.Object
      org.apache.mahout.cf.taste.impl.similarity.precompute.FileSimilarItemsWriter

All Implemented Interfaces:
  Closeable, SimilarItemsWriter

    public class FileSimilarItemsWriter

extends Object
implements SimilarItemsWriter

Persist the precomputed item similarities to a file that can later be used by a `FileItemSimilarity`

Constructor Summary
`FileSimilarItemsWriter(File file)`

Method Summary
`void` `add(SimilarItems similarItems)`
`void` `close()`
`void` `open()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileSimilarItemsWriter

    public FileSimilarItemsWriter(File file)

Method Detail

### open

    public void open()
              throws IOException

  Specified by:
    `open` in interface `SimilarItemsWriter`
  Throws:
    `IOException`

### add

    public void add(SimilarItems similarItems)
             throws IOException

  Specified by:
    `add` in interface `SimilarItemsWriter`
  Throws:
    `IOException`

### close

    public void close()
               throws IOException

  Specified by:
    `close` in interface `Closeable`
  Throws:
    `IOException`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.